Skip to content
Permalink
Browse files
HOP-3837 : Beam Dataflow serialization error
HOP-3839 : Beam Dataflow BigQuery libraries need updating
HOP-3840 : Update Apache Beam API to 2.38.0
HOP-3932 : Allow identification of Apache Hop pipelines on GCP Dataflow
  • Loading branch information
mattcasters committed May 12, 2022
1 parent 6ce1da8 commit a3885137cf3ce8725219cdf6590213365b736138
Showing 55 changed files with 1,288 additions and 749 deletions.
@@ -40,9 +40,8 @@
<slf4j-nop.version>1.7.32</slf4j-nop.version>
<webservices-api.version>2.3.1</webservices-api.version>
<webservices-rt.version>2.3.1</webservices-rt.version>
<asm.version>3.2</asm.version>
<blueprints-core.version>2.6.0</blueprints-core.version>
<commons-configuration.version>1.9</commons-configuration.version>
<commons-configuration.version>1.10</commons-configuration.version>
<flexjson.version>2.1</flexjson.version>
<jersey-multipart.version>1.19.1</jersey-multipart.version>
<mimepull.version>1.9.3</mimepull.version>
@@ -135,7 +134,7 @@
</exclusions>
</dependency>
<dependency>
<groupId>asm</groupId>
<groupId>org.ow2.asm</groupId>
<artifactId>asm</artifactId>
<version>${asm.version}</version>
<exclusions>
@@ -38,9 +38,8 @@
<slf4j-nop.version>1.7.32</slf4j-nop.version>
<webservices-api.version>2.3.1</webservices-api.version>
<webservices-rt.version>2.3.1</webservices-rt.version>
<asm.version>3.2</asm.version>
<blueprints-core.version>2.6.0</blueprints-core.version>
<commons-configuration.version>1.9</commons-configuration.version>
<commons-configuration.version>1.10</commons-configuration.version>
<flexjson.version>2.1</flexjson.version>
<jersey-multipart.version>1.19.1</jersey-multipart.version>
<mimepull.version>1.9.3</mimepull.version>
@@ -151,7 +150,7 @@
</exclusions>
</dependency>
<dependency>
<groupId>asm</groupId>
<groupId>org.ow2.asm</groupId>
<artifactId>asm</artifactId>
<version>${asm.version}</version>
<exclusions>
@@ -40,5 +40,10 @@
<artifactId>hop-action-getpop</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>jakarta.activation</groupId>
<artifactId>jakarta.activation-api</artifactId>
<version>2.1.0</version>
</dependency>
</dependencies>
</project>
@@ -51,7 +51,7 @@
<outputDirectory>lib</outputDirectory>
<includes>
<include>javax.mail:mail:jar</include>
<include>javax.activation:activation:jar</include>
<include>jakarta.activation:jakarta.activation-api:jar</include>
</includes>
</dependencySet>
</dependencySets>
@@ -40,6 +40,11 @@
<artifactId>hop-action-mail</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>jakarta.activation</groupId>
<artifactId>jakarta.activation-api</artifactId>
<version>2.1.0</version>
</dependency>
<dependency>
<groupId>javax.mail</groupId>
<artifactId>mail</artifactId>
@@ -51,7 +51,7 @@
<outputDirectory>lib</outputDirectory>
<includes>
<include>javax.mail:mail:jar</include>
<include>javax.activation:activation:jar</include>
<include>jakarta.activation:jakarta.activation-api:jar</include>
</includes>
</dependencySet>
</dependencySets>
@@ -50,22 +50,22 @@
<dependency>
<groupId>com.google.apis</groupId>
<artifactId>google-api-services-bigquery</artifactId>
<version>v2-rev20210410-1.31.0</version>
<version>v2-rev459-1.25.0</version>
</dependency>
<dependency>
<groupId>com.google.http-client</groupId>
<artifactId>google-http-client</artifactId>
<version>1.39.2</version>
<version>1.41.8</version>
</dependency>
<dependency>
<groupId>com.google.http-client</groupId>
<artifactId>google-http-client-jackson2</artifactId>
<version>1.39.2</version>
<version>1.41.8</version>
</dependency>
<dependency>
<groupId>com.google.oauth-client</groupId>
<artifactId>google-oauth-client</artifactId>
<version>1.30.6</version>
<version>1.33.3</version>
</dependency>
</dependencies>

0 comments on commit a388513

Please sign in to comment.